'Solar Analysis Tools -
 'Copyright (C) 2005 Gary Reysa (gary@BuildItSolar.com)

 ' This program is free software; you can redistribute it and/or modify it
 ' under the terms of the GNU General Public License as published by the Free
 ' Software Foundation; either version 2 of the License, or (at your option)
 ' any later version.

 ' This program is distributed in the hope that it will be useful and encourage
 ' further development of solar tools, but   WITHOUT ANY WARRANTY; without even 
 ' the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 ' See the GNU General Public License   for more details.


' A program to test CollectorCls

Module TestCol
        Const DegPerRad As Single = 57.3
        Dim CollectorECur As New CollectorEcurveCls
        Dim Sun As New SunCls(21, 9, 2000, 12, 45.0 / DegPerRad, 120.0 / DegPerRad, 0.0)
        Dim ToSunVec As New VectorCls

' Test CollectorCls
Sub Main()
        ' Test CollectorECurveCls
        Sun.Latitude = 45.0 / DegPerRad
        Sun.DayOfMonth = 21
        Sun.Month = 9
        'Sun.Dump()

        ' These are values for a Radco 308P-HP collector from SRCC report
        CollectorECur.Area = 23.69
        CollectorECur.Slope = -1.323
        CollectorECur.YIntercept = 0.764
        ' collector orientation
        CollectorECur.Tilt = 45.0 / DegPerRad
        CollectorECur.Azimuth = 0 / DegPerRad
        'CollectorECur.DumpEC()

        Dim Qsum As Double
        Dim h As Integer

        Qsum = 0.0
        Console.WriteLine("hour, SunTot, IcolTot, Efic, Qout")
        For h = 6 To 18 Step 1
            Sun.ASThr = h
            ToSunVec = Sun.ToSunVector
            CollectorECur.SunVector = ToSunVec

            CollectorECur.Idn = Sun.Idn
            CollectorECur.Idif = Sun.Idiffuse
            CollectorECur.Ta = 84.0         ' Ti - Ta representative of class C service
            CollectorECur.Ti = 120.0        ' note that in reality, Ta and Ti would vary through the day

            Qsum += CollectorECur.QOut

            Console.WriteLine(" {0,4:F0} {1,6:F0}  {2,6:F0} {3,6:F2} {4,8:F0}", h, Sun.Itotal, CollectorECur.Icoltot, CollectorECur.Efic, CollectorECur.QOut)
        Next h
        Console.WriteLine("Qout sum for day  {0,8:F0}", Qsum)
        Console.WriteLine("hit return")
        Console.ReadLine()
        ' the full day total should be about 23K BTU/day  (this is for clear day with 2000 BTU/day total)
End Sub

End Module
